# Form implementation generated from reading ui file 'src/eric7/EricNetwork/EricSslCertificatesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricSslCertificatesDialog(object):
    def setupUi(self, EricSslCertificatesDialog):
        EricSslCertificatesDialog.setObjectName("EricSslCertificatesDialog")
        EricSslCertificatesDialog.resize(760, 440)
        EricSslCertificatesDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EricSslCertificatesDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.certificatesWidget = QtWidgets.QTabWidget(parent=EricSslCertificatesDialog)
        self.certificatesWidget.setObjectName("certificatesWidget")
        self.serversTab = QtWidgets.QWidget()
        self.serversTab.setObjectName("serversTab")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.serversTab)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.label = QtWidgets.QLabel(parent=self.serversTab)
        self.label.setObjectName("label")
        self.verticalLayout_2.addWidget(self.label)
        self.serversCertificatesTree = QtWidgets.QTreeWidget(parent=self.serversTab)
        self.serversCertificatesTree.setObjectName("serversCertificatesTree")
        self.verticalLayout_2.addWidget(self.serversCertificatesTree)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.serversViewButton = QtWidgets.QPushButton(parent=self.serversTab)
        self.serversViewButton.setEnabled(False)
        self.serversViewButton.setObjectName("serversViewButton")
        self.horizontalLayout.addWidget(self.serversViewButton)
        self.serversImportButton = QtWidgets.QPushButton(parent=self.serversTab)
        self.serversImportButton.setObjectName("serversImportButton")
        self.horizontalLayout.addWidget(self.serversImportButton)
        self.serversExportButton = QtWidgets.QPushButton(parent=self.serversTab)
        self.serversExportButton.setEnabled(False)
        self.serversExportButton.setObjectName("serversExportButton")
        self.horizontalLayout.addWidget(self.serversExportButton)
        self.serversDeleteButton = QtWidgets.QPushButton(parent=self.serversTab)
        self.serversDeleteButton.setEnabled(False)
        self.serversDeleteButton.setObjectName("serversDeleteButton")
        self.horizontalLayout.addWidget(self.serversDeleteButton)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout_2.addLayout(self.horizontalLayout)
        self.certificatesWidget.addTab(self.serversTab, "")
        self.caTab = QtWidgets.QWidget()
        self.caTab.setObjectName("caTab")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.caTab)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.label_2 = QtWidgets.QLabel(parent=self.caTab)
        self.label_2.setObjectName("label_2")
        self.verticalLayout_3.addWidget(self.label_2)
        self.caCertificatesTree = QtWidgets.QTreeWidget(parent=self.caTab)
        self.caCertificatesTree.setObjectName("caCertificatesTree")
        self.verticalLayout_3.addWidget(self.caCertificatesTree)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.caViewButton = QtWidgets.QPushButton(parent=self.caTab)
        self.caViewButton.setEnabled(False)
        self.caViewButton.setObjectName("caViewButton")
        self.horizontalLayout_2.addWidget(self.caViewButton)
        self.caImportButton = QtWidgets.QPushButton(parent=self.caTab)
        self.caImportButton.setObjectName("caImportButton")
        self.horizontalLayout_2.addWidget(self.caImportButton)
        self.caExportButton = QtWidgets.QPushButton(parent=self.caTab)
        self.caExportButton.setEnabled(False)
        self.caExportButton.setObjectName("caExportButton")
        self.horizontalLayout_2.addWidget(self.caExportButton)
        self.caDeleteButton = QtWidgets.QPushButton(parent=self.caTab)
        self.caDeleteButton.setEnabled(False)
        self.caDeleteButton.setObjectName("caDeleteButton")
        self.horizontalLayout_2.addWidget(self.caDeleteButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem1)
        self.verticalLayout_3.addLayout(self.horizontalLayout_2)
        self.certificatesWidget.addTab(self.caTab, "")
        self.verticalLayout.addWidget(self.certificatesWidget)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EricSslCertificatesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(EricSslCertificatesDialog)
        self.certificatesWidget.setCurrentIndex(0)
        self.buttonBox.accepted.connect(EricSslCertificatesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EricSslCertificatesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EricSslCertificatesDialog)
        EricSslCertificatesDialog.setTabOrder(self.certificatesWidget, self.serversCertificatesTree)
        EricSslCertificatesDialog.setTabOrder(self.serversCertificatesTree, self.serversViewButton)
        EricSslCertificatesDialog.setTabOrder(self.serversViewButton, self.serversImportButton)
        EricSslCertificatesDialog.setTabOrder(self.serversImportButton, self.serversExportButton)
        EricSslCertificatesDialog.setTabOrder(self.serversExportButton, self.serversDeleteButton)
        EricSslCertificatesDialog.setTabOrder(self.serversDeleteButton, self.caCertificatesTree)
        EricSslCertificatesDialog.setTabOrder(self.caCertificatesTree, self.caViewButton)
        EricSslCertificatesDialog.setTabOrder(self.caViewButton, self.caImportButton)
        EricSslCertificatesDialog.setTabOrder(self.caImportButton, self.caExportButton)
        EricSslCertificatesDialog.setTabOrder(self.caExportButton, self.caDeleteButton)
        EricSslCertificatesDialog.setTabOrder(self.caDeleteButton, self.buttonBox)

    def retranslateUi(self, EricSslCertificatesDialog):
        _translate = QtCore.QCoreApplication.translate
        EricSslCertificatesDialog.setWindowTitle(_translate("EricSslCertificatesDialog", "SSL Certificate Manager"))
        self.label.setText(_translate("EricSslCertificatesDialog", "You have saved certificates identifying these servers:"))
        self.serversCertificatesTree.headerItem().setText(0, _translate("EricSslCertificatesDialog", "Certificate name"))
        self.serversCertificatesTree.headerItem().setText(1, _translate("EricSslCertificatesDialog", "Server"))
        self.serversCertificatesTree.headerItem().setText(2, _translate("EricSslCertificatesDialog", "Expiry Date"))
        self.serversViewButton.setToolTip(_translate("EricSslCertificatesDialog", "Press to view the selected certificate"))
        self.serversViewButton.setText(_translate("EricSslCertificatesDialog", "&View..."))
        self.serversImportButton.setToolTip(_translate("EricSslCertificatesDialog", "Press to import a certificate"))
        self.serversImportButton.setText(_translate("EricSslCertificatesDialog", "&Import..."))
        self.serversExportButton.setToolTip(_translate("EricSslCertificatesDialog", "Press to export the selected certificate"))
        self.serversExportButton.setText(_translate("EricSslCertificatesDialog", "&Export..."))
        self.serversDeleteButton.setToolTip(_translate("EricSslCertificatesDialog", "Press to delete the selected certificate"))
        self.serversDeleteButton.setText(_translate("EricSslCertificatesDialog", "&Delete..."))
        self.certificatesWidget.setTabText(self.certificatesWidget.indexOf(self.serversTab), _translate("EricSslCertificatesDialog", "&Servers"))
        self.label_2.setText(_translate("EricSslCertificatesDialog", "You have saved certificates identifying these certification authorities:"))
        self.caCertificatesTree.headerItem().setText(0, _translate("EricSslCertificatesDialog", "Certificate name"))
        self.caCertificatesTree.headerItem().setText(1, _translate("EricSslCertificatesDialog", "Expiry Date"))
        self.caViewButton.setToolTip(_translate("EricSslCertificatesDialog", "Press to view the selected certificate"))
        self.caViewButton.setText(_translate("EricSslCertificatesDialog", "&View..."))
        self.caImportButton.setToolTip(_translate("EricSslCertificatesDialog", "Press to import a certificate"))
        self.caImportButton.setText(_translate("EricSslCertificatesDialog", "&Import..."))
        self.caExportButton.setToolTip(_translate("EricSslCertificatesDialog", "Press to export the selected certificate"))
        self.caExportButton.setText(_translate("EricSslCertificatesDialog", "&Export..."))
        self.caDeleteButton.setToolTip(_translate("EricSslCertificatesDialog", "Press to delete the selected certificate"))
        self.caDeleteButton.setText(_translate("EricSslCertificatesDialog", "&Delete..."))
        self.certificatesWidget.setTabText(self.certificatesWidget.indexOf(self.caTab), _translate("EricSslCertificatesDialog", "Certificate &Authorities"))
